Index: golang-gocheck/benchmark_test.go
===================================================================
--- golang-gocheck.orig/benchmark_test.go
+++ golang-gocheck/benchmark_test.go
@@ -21,8 +21,8 @@ func (s *BenchmarkS) TestBasicTestTiming
 	runConf := RunConf{Output: &output, Verbose: true}
 	Run(&helper, &runConf)
 
-	expected := "PASS: check_test\\.go:[0-9]+: FixtureHelper\\.Test1\t0\\.001s\n" +
-		"PASS: check_test\\.go:[0-9]+: FixtureHelper\\.Test2\t0\\.000s\n"
+	expected := "PASS: check_test\\.go:[0-9]+: FixtureHelper\\.Test1\t0\\.[0-9]+s\n" +
+		"PASS: check_test\\.go:[0-9]+: FixtureHelper\\.Test2\t0\\.[0-9]+s\n"
 	c.Assert(output.value, Matches, expected)
 }
 
@@ -32,7 +32,7 @@ func (s *BenchmarkS) TestStreamTestTimin
 	runConf := RunConf{Output: &output, Stream: true}
 	Run(&helper, &runConf)
 
-	expected := "(?s).*\nPASS: check_test\\.go:[0-9]+: FixtureHelper\\.SetUpSuite\t *0\\.001s\n.*"
+	expected := "(?s).*\nPASS: check_test\\.go:[0-9]+: FixtureHelper\\.SetUpSuite\t *0\\.[0-9]+s\n.*"
 	c.Assert(output.value, Matches, expected)
 }
 
@@ -55,7 +55,7 @@ func (s *BenchmarkS) TestBenchmark(c *C)
 	c.Check(helper.calls[6], Equals, "TearDownTest")
 	// ... and more.
 
-	expected := "PASS: check_test\\.go:[0-9]+: FixtureHelper\\.Benchmark1\t *100\t *[12][0-9]{5} ns/op\n"
+	expected := "PASS: check_test\\.go:[0-9]+: FixtureHelper\\.Benchmark1\t *[0-9]+\t *[0-9]+ ns/op\n"
 	c.Assert(output.value, Matches, expected)
 }
 
@@ -70,7 +70,7 @@ func (s *BenchmarkS) TestBenchmarkBytes(
 	}
 	Run(&helper, &runConf)
 
-	expected := "PASS: check_test\\.go:[0-9]+: FixtureHelper\\.Benchmark2\t *100\t *[12][0-9]{5} ns/op\t *[4-9]\\.[0-9]{2} MB/s\n"
+	expected := "PASS: check_test\\.go:[0-9]+: FixtureHelper\\.Benchmark2\t *[0-9]+\t *[0-9]+ ns/op\t *[0-9]+\\.[0-9]+ MB/s\n"
 	c.Assert(output.value, Matches, expected)
 }
 
@@ -86,6 +86,6 @@ func (s *BenchmarkS) TestBenchmarkMem(c
 	}
 	Run(&helper, &runConf)
 
-	expected := "PASS: check_test\\.go:[0-9]+: FixtureHelper\\.Benchmark3\t *100\t *[12][0-9]{5} ns/op\t *[0-9]+ B/op\t *[1-9] allocs/op\n"
+	expected := "PASS: check_test\\.go:[0-9]+: FixtureHelper\\.Benchmark3\t *[0-9]+\t *[0-9]+ ns/op\t *[0-9]+ B/op\t *[1-9] allocs/op\n"
 	c.Assert(output.value, Matches, expected)
 }
